Package org.eclipse.emf.cdo.ui

## Interface Authorizer.AuthorizerContext<E>

- All Known Implementing Classes:
    `AbstractAuthorizingDialog`
  Enclosing class:
    Authorizer<E>

      public static interface Authorizer.AuthorizerContext<E>

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `collectElementOperations​(java.util.List<java.util.Map.Entry<E,​org.eclipse.net4j.util.security.operations.AuthorizableOperation>> operations)` |
    `java.lang.String` | `getAuthorizationDeniedMessage()` |
    `void` | `updateUIAfterAuthorization()` |
    `boolean` | `validate()` |

- - ### Method Detail

    - #### collectElementOperations

          void collectElementOperations​(java.util.List<java.util.Map.Entry<E,​org.eclipse.net4j.util.security.operations.AuthorizableOperation>> operations)

    - #### updateUIAfterAuthorization

          void updateUIAfterAuthorization()

    - #### getAuthorizationDeniedMessage

          java.lang.String getAuthorizationDeniedMessage()

    - #### validate

          boolean validate()